// CustomBrushView.h : interface of the CCustomBrushView class
//
/////////////////////////////////////////////////////////////////////////////

#include"CustomBrushDoc.h"
#if !defined(AFX_CUSTOMBRUSHVIEW_H__AF12332D_B129_11D7_8E58_84648D5D465F__INCLUDED_)
#define AFX_CUSTOMBRUSHVIEW_H__AF12332D_B129_11D7_8E58_84648D5D465F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//static COLORREF colorref;
static WORD bmBits[8];  // bitmap bits 

class CCustomBrushView : public CView
{
protected: // create from serialization only
//	CCustomBrushView();
	DECLARE_DYNCREATE(CCustomBrushView)

// Attributes
public:
	CCustomBrushView();
	CCustomBrushDoc* GetDocument();

// Operations
public:
CDC memdc;
COLORREF colorref;
//WORD bmBits[8];  // bitmap bits 
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomBrushView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	BYTE flagBrush;
	void DrawRectangle(COLORREF colorref,int flagBrush);
 
	void CreateCustomBrush(COLORREF color,int type,CBrush &brush,CDC *pDC);
	virtual ~CCustomBrushView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCustomBrushView)
	afx_msg void OnBrushColorChange();
	afx_msg void OnMyownbrush();
	//}}AFX_MSG
	afx_msg void OnBrushMenuItems(UINT nID);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CustomBrushView.cpp
inline CCustomBrushDoc* CCustomBrushView::GetDocument()
   { return (CCustomBrushDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMBRUSHVIEW_H__AF12332D_B129_11D7_8E58_84648D5D465F__INCLUDED_)
