// OwnBrushDialog.cpp : implementation file
//

#include "stdafx.h"
#include "CustomBrush.h"
#include "OwnBrushDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COwnBrushDialog dialog


COwnBrushDialog::COwnBrushDialog(CWnd* pParent /*=NULL*/)
	: CDialog(COwnBrushDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(COwnBrushDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void COwnBrushDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COwnBrushDialog)
	DDX_Control(pDX, IDC_EDIT1, m_BmBits);
	DDX_Control(pDX, IDC_STATIC_PICTURE, m_static_picture);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COwnBrushDialog, CDialog)
	//{{AFX_MSG_MAP(COwnBrushDialog)
	ON_WM_PAINT()
	ON_WM_LBUTTONDOWN()
	ON_BN_CLICKED(IDC_BUTTON1, OnTest)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COwnBrushDialog message handlers



void COwnBrushDialog::OnPaint() 
{
		CPaintDC dc(this); // device context for painting
		dc.Rectangle(145,3,272,131);
		for (int k=0; k<8; k++) 
           bBrushBits[k] = 0xFF; 
   


		int i;
		CRect picturerect;
		CDC *pDC=m_static_picture.GetDC();	
		::GetClientRect(m_static_picture.m_hWnd,&picturerect);
		int width=picturerect.Width();
		int height=picturerect.Height();
		for(i=picturerect.left;i<picturerect.right;i+=height/8)
		{
		pDC->MoveTo(i,picturerect.top);
		pDC->LineTo(i,picturerect.bottom);
		}
		for(i=picturerect.top;i<picturerect.bottom;i+=width/8)
		{
		pDC->MoveTo(picturerect.left,i);
		pDC->LineTo(picturerect.right,i);
		}

     	// Do not call CDialog::OnPaint() for painting messages
}


BOOL COwnBrushDialog::OnInitDialog() 
{
   CDialog::OnInitDialog();
   CRect picturerect;
  
  ::GetClientRect(m_static_picture.m_hWnd,&picturerect);
  int width=picturerect.Width()/8;
  int height=picturerect.Height()/8;
   for (int y=picturerect.top, i=0; y < picturerect.bottom; y += height)
            { 
                for(int x=picturerect.left; x < (picturerect.right - 8 ) && i < 64; 
                        x += width, i++) 
                { 
                    gridrect[i].left = x;
					gridrect[i].top = y; 
                    gridrect[i].right = x + width; 
                    gridrect[i].bottom = y + height; 
                } 
            } 

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void COwnBrushDialog::OnLButtonDown(UINT nFlags, CPoint point) 
{

	
	CRect picturerect;
	m_static_picture.GetWindowRect(&picturerect);
	ScreenToClient(&picturerect);
	POINT p;
	p.x=point.x;
	p.y=point.y;
	if(PtInRect(&picturerect,p))
	{
     for(int i=0;i<64;i++)
	 {
	   if(gridrect[i].PtInRect(p))
	   {
		   InvertRect(::GetDC(m_static_picture.m_hWnd),&gridrect[i]);

       if (i % 8 == 0) 
       bBrushBits[i/8] = bBrushBits[i/8] ^ 0x80; 
       else if (i % 8 == 1) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x40; 
       else if (i % 8 == 2) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x20; 
       else if (i % 8 == 3) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x10; 
       else if (i % 8 == 4) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x08; 
       else if (i % 8 == 5) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x04; 
       else if (i % 8 == 6) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x02; 
       else if (i % 8 == 7) 
          bBrushBits[i/8] = bBrushBits[i/8] ^ 0x01; 
 
    // Exit the "for" loop after the bit is set. 
 
      break;
       
	   }
   }
}
	CDialog::OnLButtonDown(nFlags, point);
}


void COwnBrushDialog::OnOK() 
{
	
		CDialog::OnOK();
}

void COwnBrushDialog::OnTest() 
{
	// for displaying bitmapdata bits in edit control
	CString str,str1;
	for(int k=0;k<8;k++)
	{
		str.Format("0x%x,",bBrushBits[k]);
		str1+=str;
	}
	int len=str1.GetLength();
	str1.Delete(len-1,1);

	m_BmBits.SetWindowText(str1);
	
   CDC *pDC=GetDC();
   CBrush brush,*pOldbrush;
   CBitmap bm;
   bm.CreateBitmap(8,8,1,1,bBrushBits);
   brush.CreatePatternBrush(&bm);
   pOldbrush=pDC->SelectObject(&brush);
   pDC->Rectangle(145,3,272,131);
   pDC->SelectObject(pOldbrush);
   brush.DeleteObject();
   bm.DeleteObject();
	
}


